Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 150190 - New ebuild: upstart
Summary: New ebuild: upstart
Status: VERIFIED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 3 votes (vote)
Assignee: Default Assignee for New Packages
URL: https://bugs.gentoo.org/show_bug.cgi?...
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2006-10-05 10:59 UTC by Natanael Copa
Modified: 2014-01-17 16:18 UTC (History)
24 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
upstart-0.2.7.ebuild (upstart-0.2.7.ebuild,586 bytes, text/plain)
2006-10-05 11:00 UTC, Natanael Copa
Details
upstart-0.2.7.ebuild (License fix, added nls useflag) (upstart-0.2.7.ebuild,636 bytes, text/plain)
2006-10-05 11:20 UTC, Natanael Copa
Details
files/upstart-0.2.7-no-m4.patch (upstart-0.2.7-no-m4.patch,383 bytes, patch)
2006-10-10 06:36 UTC, Natanael Copa
Details | Diff
upstart-0.2.7.ebuild (aclocal fix) (upstart-0.2.7.ebuild,771 bytes, text/plain)
2006-10-10 08:51 UTC, Natanael Copa
Details
ebuild for upstart-0.3.0 (upstart-0.3.0.ebuild,938 bytes, text/plain)
2006-10-20 11:19 UTC, Paul de Vries
Details
patch for upstart 0.3.0 (upstart-0.3.0.patch,315 bytes, text/plain)
2006-10-20 11:21 UTC, Paul de Vries
Details
ebuild for upstart-0.3.5 (upstart-0.3.5.ebuild,941 bytes, text/plain)
2007-02-11 10:44 UTC, Paul de Vries
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Natanael Copa 2006-10-05 10:59:35 UTC
Upstart is an event-based replacement for the /sbin/init daemon which handles starting of tasks and services during boot, stopping them during shutdown and supervising them while the system is running.

It is being developed for the Ubuntu distribution, however is intended to be suitable for deployment in all Linux distributions as a replacement for the venerable sysvinit package.
Comment 1 Natanael Copa 2006-10-05 11:00:30 UTC
Created attachment 98868 [details]
upstart-0.2.7.ebuild

Initial ebuild.
Comment 2 Natanael Copa 2006-10-05 11:20:31 UTC
Created attachment 98870 [details]
upstart-0.2.7.ebuild (License fix, added nls useflag)

License fix.
Added nls useflag.

The ebuild will overwrite those files in sysvinit:
/usr/share/man/man8/halt.8.gz
/usr/share/man/man8/init.8.gz
/usr/share/man/man8/poweroff.8.gz
/usr/share/man/man8/reboot.8.gz
/usr/share/man/man8/runlevel.8.gz
/usr/share/man/man8/shutdown.8.gz
/usr/share/man/man8/telinit.8.gz
Comment 3 Natanael Copa 2006-10-10 06:25:00 UTC
The ebuild will install some aclocal files that will break your automake.  The problem is in the upstream source package. I believe the ebuild needs to remove m4 from subdirs (see patch below) and run eautoreconf. I'll test and submit a new ebuild.

Sorry.

--- upstart-0.2.7.orig/Makefile.am      2006-10-10 15:21:42.458849000 +0200
+++ upstart-0.2.7/Makefile.am   2006-10-10 15:21:51.104849000 +0200
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in

-SUBDIRS = m4 po man intl nih upstart init logd util compat/sysv event.d
+SUBDIRS = po man intl nih upstart init logd util compat/sysv event.d

 EXTRA_DIST = HACKING

Comment 4 Natanael Copa 2006-10-10 06:36:28 UTC
Created attachment 99283 [details, diff]
files/upstart-0.2.7-no-m4.patch

Don't install the shipped aclocal m4 files. (It breaks your gentoo automake)
Comment 5 Natanael Copa 2006-10-10 08:51:16 UTC
Created attachment 99293 [details]
upstart-0.2.7.ebuild (aclocal fix)

The previously included aclocal files should not be inclueded in the install. Instead of starting patching and running eautoreconf I just overide the SUBDIRS variable during make install.

This is already fixed upstream so it can be removed in next version.
http://lists.netsplit.com/pipermail/upstart-devel/2006-October/000585.html
Comment 6 Paul de Vries 2006-10-20 11:19:45 UTC
Created attachment 100097 [details]
ebuild for upstart-0.3.0

I have made an ebuild for upstart-0.3.0. Also included is a patch from SER to fix a compile problem on some systems.
Comment 7 Paul de Vries 2006-10-20 11:21:44 UTC
Created attachment 100098 [details]
patch for upstart 0.3.0

patch for upstart 0.3.0. Some systems do not compile without this patch. You need to put this in the files directory where you put the 0.3.0 ebuild posted above.
Comment 8 Stu Glaser 2006-11-05 11:45:44 UTC
Emerging upstart fails without the sysv use flag:

[ebuild  N    ] sys-apps/upstart-0.3.0  USE="nls -sysv" 0 kB [1] 

>>> Emerging (1 of 1) sys-apps/upstart-0.3.0 to /
>>> Unpacking source...
>>> Unpacking upstart-0.3.0.tar.bz2 to /var/tmp/portage/upstart-0.3.0/work
 * Applying upstart-0.3.0.patch ...                                                           [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/upstart-0.3.0/work/upstart-0.3.0 ...
 * econf: updating upstart-0.3.0/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating upstart-0.3.0/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --enable-nls --disable-compat=sysv --build=i686-pc-linux-gnu
configure: error: invalid feature name: compat=sysv

!!! ERROR: sys-apps/upstart-0.3.0 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  upstart-0.3.0.ebuild, line 27:   Called econf '--enable-nls' '--disable-compat=sysv'
  ebuild.sh, line 540:   Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
Comment 9 Tomas Carnecky 2006-11-13 16:39:46 UTC
I just tried the ebuild and created a binary package (emerge -B upstart) - simply because I don't trust upstart yet ;)
And I saw the ebuild installs the executables (most importantly 'init') into /usr/sbin, but my /usr is on a separate partition so I'm sure my system would fail to start.
Comment 10 Paul de Vries 2007-02-11 10:41:59 UTC
(In reply to comment #9)
> And I saw the ebuild installs the executables (most importantly 'init') into
> /usr/sbin, but my /usr is on a separate partition so I'm sure my system would
> fail to start.

The reason is that if you would write it in /sbin/init, you will overwrite the sysv init. Which might make your system unable to boot into the standard gentoo sysv mode.

Comment 11 Paul de Vries 2007-02-11 10:44:16 UTC
Created attachment 109831 [details]
ebuild for upstart-0.3.5

Ebuild for version 0.3.5. Also fixes configure error if USE="-sysv"
Comment 12 Pacho Ramos gentoo-dev 2007-02-11 11:07:27 UTC
(In reply to comment #11)
> Created an attachment (id=109831) [edit]
> ebuild for upstart-0.3.5
> 
> Ebuild for version 0.3.5. Also fixes configure error if USE="-sysv" 
> 

Please, edit the summary.

Thanks
Comment 13 Paul de Vries 2007-03-10 09:32:55 UTC
Version 0.3.7 of upstart is now available. Renaming the 0.3.5 ebuild to upstart-0.3.7.ebuild is enough to get it compiling. 


PS: I am not allowed to change the summary:"You tried to change the Summary field from New ebuild: upstart-0.3.5  to New ebuild: upstart-0.3.7  , but only the assignee or reporter of the bug, or a sufficiently empowered user may change that field"
Comment 14 Michael Biebl 2007-03-17 19:53:58 UTC
Please see http://upstart.ubuntu.com/wiki/UpstartOnGentoo

I added ebuilds for upstart-0.3.8, upstart-jobs-0.1 (basically a sysv compat wrapper) and a modified sysvinit-2.86-r9 (which adds a use flag "compat-only"). 
Comment 15 Steen Eugen "Miravlix" Poulsen 2007-08-23 12:48:54 UTC
(In reply to comment #10)
> The reason is that if you would write it in /sbin/init, you will overwrite the
> sysv init. Which might make your system unable to boot into the standard gentoo
> sysv mode.

Is this going to keep being the case or is it being consider to allow upstart as an alternative to sysvinit?

 

Comment 16 Matthias Kuhn 2007-10-09 22:12:36 UTC
what about installing it to /sbin/upstart and add init=/sbin/upstart to the boot params.
that would allow you to keep /usr on a seperate partition and switching between these two init-systems every boot.
Comment 17 Dan Tihelka 2008-01-02 12:21:41 UTC
Hallo,

there is new upstart 0.3.9 available. But what I mainly want to ask is if upstart will be supported as init alternative (to default gentoo's init, initng, ...), and if current ebuild just "wraps" default gentoo's init scripts or if the ebuild employs the advantages of upstart by handling the init configuration (or at lest its part) in upstart-native way. 

I know that it is large amount of work to maintain the whole init-related ebuild (for all services and their relations), and so the second question is if (and where) I can submit a native upstart configuration file in the case I create or adjust one. And is there a mailing list about upstart on gentoo? Currently, I don't use upstart on my gentoo as I am not sure if the ebuild is stable (the computer will boot after emerge), but once it is, I definitely will switch on it.

Thanks,
Dan
Comment 18 Garrett Cooper 2008-10-06 20:42:22 UTC
1. upstart 0.5.0 has been released
2. Suggestion: install to /opt/upstart. This has worked successfully so far with my group at Cisco, so long as PATH="/opt/upstart/sbin:${PATH}".

Cheers,
-Garrett
Comment 19 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-03-24 13:05:24 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 20 Arne Babenhauserheide 2009-10-30 07:25:21 UTC
Any news on upstart in Gentoo? 

I ask, because Ubuntu is now adapting its initscripts to upstart, and Gentoo users might want to do the same. 
Comment 21 Sven 2009-10-30 07:53:27 UTC
(In reply to comment #20)
> Any news on upstart in Gentoo? 
> 
> I ask, because Ubuntu is now adapting its initscripts to upstart, and Gentoo
> users might want to do the same. 

Gentoo has OpenRC. I have no clue, how OpenRC compares to upstart. Does anyone know?
Comment 22 Manfred Knick 2009-10-30 11:40:34 UTC
(In reply to comment #14)

> Please see http://upstart.ubuntu.com/wiki/UpstartOnGentoo

???    "This page does not exist yet."
Comment 23 Natanael Copa 2009-11-09 07:50:39 UTC
openrc works and i dont use gentoo anymore.
Comment 24 Petteri Räty (RETIRED) gentoo-dev 2009-11-09 18:41:15 UTC
(In reply to comment #23)
> openrc works and i dont use gentoo anymore.
> 

Let's keep this still open as there's a bunch of folks in CC.
Comment 25 Sobhan Mohammadpour gentoo-dev 2012-09-16 19:21:13 UTC
any one want to do it ?
Comment 26 Miroslaw Mieszczak 2012-10-18 18:32:43 UTC
I suppose no one is interested in this, as there is openrc, and systemd.
Comment 27 Sobhan Mohammadpour gentoo-dev 2012-10-18 18:37:40 UTC
i prefer upstart more than systemd but i am happy with openrc
Comment 28 白川間瀬流 2013-04-14 19:51:20 UTC
I really think that there is no need for upstart

The new "standard" is systemd which is already used by Fedora, openSUSE, Archlinux and so on.

The only Distribution using upstart is Ubuntu (and Debian in case of that) and as no other distribution wants this, its likely to not change in the future.

Gentoo should focus on a full systemd support rather than wasting resources on this package.

Should be a "wontfix" in my personal opinion
Comment 29 Natanael Copa 2013-05-16 11:55:21 UTC
i dont want get emails about this anymore. please create new bug if this is still an issue.
Comment 30 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-01-17 16:18:13 UTC
(In reply to Natanael Copa from comment #29)
> i dont want get emails about this anymore. please create new bug if this is
> still an issue.

Alright, excuse me for this reply, consider this the very last e-mail; as people (in CC, forums, ...) still might want to see Upstart, I have cloned this bug:

https://bugs.gentoo.org/show_bug.cgi?id=498376

People that are interested can continue in above bug.

To future visitors of this bug:

- Please do not mark this bug as a duplicate of that one to avoid unwanted mails.

- Please reply to bug #498376 instead of bug #150190.

Thank you for your understanding, have a nice day.